


use clap::{Parser, Subcommand};

#[derive(Parser, Debug)]
#[command(author, version, about, long_about = None)]
pub struct Cli {


    #[command(subcommand)]
    pub comm: Option<Subc>,

    /// Debug level
    #[arg(short, long, default_value_t = 1)]
    pub debug: u8,
}

#[derive(Subcommand, Debug)]
pub enum Subc {

    Run {filename: String},
    Build {filename: String, output: String},
    View {filename: String},

}
